String readString;
// Configureer de pinnen van de LED
// LET OP: Gebruik wel pinnen die PWM ondersteunen!
int rodePin = 9;
int groenePin = 10;
int blauwePin = 11;
 
void setup() {
  // Start de seriel poort op 9600 baud.
  Serial.begin(9600);
}
 
void loop() {
  while (Serial.available()) {
    // Lees 1 byte van de seriele buffer.
    char c = Serial.read();
    // Plaats de ingelezen byte achter de rest (om een string te maken).
    readString += c;
  }
 
  if (readString.length() >9) {
    // Lees de waarden in vanuit seriele poort, maak er een getal van (toInt).
    // Ps. het eerste karakter is een dummy ivm werking Python in SketchUp
    int rood = readString.substring(0, 3).toInt();
    int groen = readString.substring(3, 6).toInt();
    int blauw = readString.substring(6, 9).toInt();
      
    // maak van 0 t/m 100 een verhoudig tussen 0 en 255.
    int roodmap = map(rood, 0, 100, 0, 255);
    int groenmap = map(groen, 0, 100, 0, 255);
    int blauwmap = map(blauw, 0, 100, 0, 255);
 
    // Schrijf de waardne naar de PWM uitgangen.
    analogWrite(rodePin, roodmap);
    analogWrite(groenePin, groenmap);
    analogWrite(blauwePin, blauwmap);
 
    // Maak de buffer weer leeg.
    readString = "";
  } 
}